import api from '@/utils/request';

export const getPage = params =>
	api.post(`/yxl-back-end/admin/activity/page`, params);
export const getList = params =>
	api.post(`/yxl-back-end/admin/activity/list`, params);
export const getItem = ({ id, ...params }) =>
	api.get(`/yxl-back-end/admin/activity/${id}`, params);
export const saveItem = ({ id, ...params }) => {
	if (id) {
		return api.put(`/yxl-back-end/admin/activity/${id}`, params);
	} else {
		return api.post(`/yxl-back-end/admin/activity/save`, params);
	}
};
export const delItem = ({ id, ...params }) =>
	api.del(`/yxl-back-end/admin/activity/${id}`, params);
